import React from 'react';

export const InvoiceIcon = ({ fill = '#EAF7FF', ...props }) => (
	<svg width='60px' height='60px' viewBox='0 0 60 60' version='1.1' className='invoice-icon-components' {...props}>
		<g id='icon-send-invoice' stroke='none' strokeWidth='1' fill='none' fillRule='evenodd'>
			<circle id='path-1' fill={fill} fillRule='nonzero' cx='30' cy='30' r='30' />
			<g id='invoice-paper'>
				<path
					fill='#626CDD'
					d='M19.2,48.1c-0.5,0-1.1-0.3-1.8-0.8c-0.8-0.9-1.1-2-1.1-3.3V22.5h-4.4V21c0-3.7,0.9-6.3,2.5-7.8
	c1-0.9,2.2-1.3,3.5-1.3h21.6c3.1,0,4.2,2.8,4.2,4.5v23h4.5v1.5c0,2.5-1.2,7.2-5.9,7.2H19.2z M42.3,45.1c1.3,0,2.2-0.9,2.7-2.7H23.7
	c-0.1,1.1-0.3,1.9-0.6,2.7H42.3z M18.7,14.9c0.2,0.6,0.5,1.5,0.5,2.6V44c0,0.7,0.1,1,0.3,1.1c0.5-0.2,1.2-1.2,1.2-4.2v-1.5h19.9v-23
	c0-0.3-0.1-1.5-1.2-1.5H18.7z M16.2,19.5v-2c0-0.8-0.1-1.3-0.2-1.5c-0.4,0.6-0.8,1.6-1,3.5H16.2z M23.3,36.5c-0.8,0-1.2-0.6-1.2-1.2
	v-0.6c0-0.6,0.4-1.2,1.2-1.2H38c0.8,0,1.2,0.6,1.2,1.2v0.6c0,0.8-0.6,1.2-1.2,1.2H23.3z M31.6,31.5c-0.7,0-1.4-0.6-1.4-1.2v-0.6
	c0-0.6,0.7-1.2,1.4-1.2h6.2c0.7,0,1.4,0.6,1.4,1.2v0.6c0,0.7-0.6,1.2-1.4,1.2H31.6z M32.7,26.7c-0.8,0-1.2-0.6-1.2-1.2v-0.6
	c-0.1-0.2,0-0.5,0.2-0.7c0.2-0.3,0.6-0.5,1-0.5h5.2c0.8,0,1.2,0.6,1.2,1.2v0.6c0,0.8-0.6,1.2-1.2,1.2H32.7z M32.7,21.8
	c-0.8,0-1.2-0.6-1.2-1.2V20c-0.1-0.2,0-0.5,0.2-0.7c0.2-0.3,0.6-0.5,1-0.5h5.2c0.8,0,1.2,0.6,1.2,1.2v0.6c0,0.8-0.6,1.2-1.2,1.2
	H32.7z'
				/>
				<path
					fill='#626CDD'
					d='M43.3,39.8V16.4c0-1.6-1-4.1-3.8-4.1H17.9c-0.4,0-1.8,0-3.2,1.2c-1.6,1.4-2.4,4-2.4,7.5v1.1h4.4V44
	c0,1.3,0.4,2.3,1,3c0.6,0.5,1.1,0.7,1.5,0.7l0,0h23.1c4.4,0,5.5-4.5,5.5-6.8v-1.1L43.3,39.8z M14.5,19.9c0.2-2.7,0.9-4,1.5-4.6
	c0.3,0.2,0.6,0.9,0.6,2.2v2.4H14.5z M21.1,40.9c0,3.5-1,4.5-1.7,4.6c-0.3-0.1-0.6-0.5-0.6-1.5V17.5c0-1.3-0.3-2.3-0.7-3h21.3
	c1.4,0,1.6,1.4,1.6,1.9v23.4H21.1V40.9L21.1,40.9z M42.3,45.5H22.5c0.4-0.8,0.7-1.9,0.8-3.5h22.2C45.2,43.3,44.5,45.5,42.3,45.5
	 M32.7,19.2h5.2c0.5,0,0.8,0.4,0.8,0.8v0.6c0,0.5-0.4,0.8-0.8,0.8h-5.2c-0.5,0-0.8-0.4-0.8-0.8V20C31.8,19.6,32.2,19.2,32.7,19.2z
	 M32.7,24.1h5.2c0.5,0,0.8,0.4,0.8,0.8v0.6c0,0.5-0.4,0.8-0.8,0.8h-5.2c-0.5,0-0.8-0.4-0.8-0.8v-0.6C31.8,24.5,32.2,24.1,32.7,24.1z
	 M31.6,28.9h6.2c0.5,0,1,0.4,1,0.8v0.6c0,0.5-0.4,0.8-1,0.8h-6.2c-0.5,0-1-0.4-1-0.8v-0.6C30.6,29.3,31.1,28.9,31.6,28.9z
	 M23.3,33.9H38c0.5,0,0.8,0.4,0.8,0.8v0.6c0,0.5-0.4,0.8-0.8,0.8H23.3c-0.5,0-0.8-0.4-0.8-0.8v-0.6C22.5,34.3,22.8,33.9,23.3,33.9z'
				/>
			</g>
			<g id='dollar-sign'>
				<path
					fill='#4282E4'
					d='M25.6,30.9c-0.5,0-1-0.5-1-1v-0.1c0-0.2-0.2-0.5-0.4-0.6c-1.2-0.4-1.9-1.4-1.9-2.5v-0.2h1.3
	c0.4,0,0.7,0.2,0.9,0.5c0.2,0.3,0.7,0.5,1.4,0.5c0.8,0,1.3-0.3,1.3-0.8c0-0.3-0.1-0.6-1.2-0.8l-1.1-0.2c-2-0.4-2.4-1.6-2.4-2.5
	c0-1.2,0.7-2.1,1.8-2.5c0.2-0.1,0.4-0.3,0.4-0.5V20c0-0.5,0.5-1,1-1H26c0.5,0,1,0.5,1,1v0.1c0,0.2,0.2,0.4,0.4,0.5
	c1.2,0.5,1.8,1.4,1.8,2.4v0.2h-1.3c-0.4,0-0.6-0.2-0.8-0.5c-0.2-0.4-0.6-0.5-1.3-0.5c-0.7,0-1.2,0.3-1.2,0.8c0,0.3,0.1,0.6,1.2,0.8
	l1,0.2c1.7,0.3,2.6,1.1,2.6,2.5c0,1.2-0.7,2.1-1.9,2.6c-0.4,0.2-0.6,0.5-0.6,0.7c0,0.6-0.5,1.1-1,1.1H25.6z'
				/>
				<path
					fill='#4282E4'
					d='M26.7,29.8L26.7,29.8c0,0.5-0.4,0.9-0.8,0.9h-0.3c-0.4,0-0.8-0.4-0.8-0.8v-0.1c0-0.3-0.2-0.7-0.5-0.8
	c-1.1-0.4-1.8-1.2-1.8-2.3h1.1c0.3,0,0.6,0.2,0.7,0.4c0.3,0.4,0.8,0.6,1.6,0.6c0.9,0,1.5-0.4,1.5-1c0-0.5-0.4-0.8-1.4-1l-1.1-0.2
	c-1.5-0.3-2.2-1.1-2.2-2.3c0-1.1,0.6-1.9,1.7-2.3c0.3-0.1,0.5-0.4,0.5-0.7V20c0-0.4,0.4-0.8,0.8-0.8H26c0.4,0,0.8,0.4,0.8,0.8v0.1
	c0,0.3,0.2,0.6,0.5,0.7c1,0.4,1.7,1.2,1.7,2.2h-1.1c-0.3,0-0.5-0.2-0.7-0.4C27,22.2,26.5,22,25.8,22c-0.8,0-1.4,0.4-1.4,1
	c0,0.5,0.4,0.8,1.4,1l1,0.2c1.6,0.3,2.4,1,2.4,2.3c0,1.2-0.7,2-1.8,2.4C26.9,29.1,26.7,29.5,26.7,29.8z'
				/>
			</g>
		</g>
	</svg>
);
